summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-20 16:00:14 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-20 16:03:03 +0100
commit0e7dde9ad148fb3fa5ae582c2ab248a43a969e0f (patch)
tree640aaaff286f09e5b4e56ba7fb6ba0450061a018
parentsys-devel/llvm-common: Remove 8.0.0rc5 (diff)
downloadgentoo-0e7dde9ad148fb3fa5ae582c2ab248a43a969e0f.tar.gz
gentoo-0e7dde9ad148fb3fa5ae582c2ab248a43a969e0f.tar.bz2
gentoo-0e7dde9ad148fb3fa5ae582c2ab248a43a969e0f.zip
media-sound/kid3: Bump to version 3.7.1
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--media-sound/kid3/Manifest1
-rw-r--r--media-sound/kid3/kid3-3.7.1.ebuild90
2 files changed, 91 insertions, 0 deletions
diff --git a/media-sound/kid3/Manifest b/media-sound/kid3/Manifest
index b38ce572d3d..458f3030c17 100644
--- a/media-sound/kid3/Manifest
+++ b/media-sound/kid3/Manifest
@@ -1 +1,2 @@
DIST kid3-3.7.0.tar.gz 1466849 BLAKE2B 39bdab9afb187754914ef77326d9c323e5dd4ab13a6f603deca3dfe97acb0d7a81d58a8eb569397c1a094ebaa7449997b729ce008614c8fc9f04d2b9e7995e03 SHA512 3112addba1e0697ae8874bf12336e54c744165a692dc81a99d97194df8511aa540a53085e2be84b3557cd9a2c9d3d887046c06550cef11406b28e6f6e6b507a6
+DIST kid3-3.7.1.tar.gz 1486532 BLAKE2B aec19ca9792ab5a3ae975d64b581074f6505507027bc52483a95b8570fdf7484fadd63a5cc740b59817b6b2b7227f02637aeb3e9611d206a536138c6db083198 SHA512 68b1d4978e5e984d180981d02df5efa247d50da79e5c6a41010eb3c5369b6cdc023042333865f4730e47814c4b4b69dc2f1bcbe1566396b72637fd576f5e543c
diff --git a/media-sound/kid3/kid3-3.7.1.ebuild b/media-sound/kid3/kid3-3.7.1.ebuild
new file mode 100644
index 00000000000..6ae8aae4340
--- /dev/null
+++ b/media-sound/kid3/kid3-3.7.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_KDEINSTALLDIRS="false"
+KDE_HANDBOOK="false" # buildsystem applies broken python hacks, bug #614950
+inherit kde5
+
+DESCRIPTION="Simple tag editor based on Qt"
+HOMEPAGE="https://kid3.sourceforge.io/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="5"
+KEYWORDS="~amd64 ~x86"
+IUSE="acoustid flac kde mp3 mp4 +taglib vorbis"
+
+REQUIRED_USE="flac? ( vorbis )"
+
+COMMON_DEPEND="
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtmultimedia)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ sys-libs/readline:0=
+ acoustid? (
+ media-libs/chromaprint
+ virtual/ffmpeg
+ )
+ flac? (
+ media-libs/flac[cxx]
+ media-libs/libvorbis
+ )
+ kde? (
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ )
+ mp3? ( media-libs/id3lib )
+ mp4? ( media-libs/libmp4v2:0 )
+ taglib? ( >=media-libs/taglib-1.9.1 )
+ vorbis? (
+ media-libs/libogg
+ media-libs/libvorbis
+ )
+"
+RDEPEND="${COMMON_DEPEND}
+ !media-sound/kid3:4
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND="
+ $(add_qt_dep linguist-tools)
+"
+
+src_prepare() {
+ # overengineered upstream build system
+ # kde5 eclass src_prepare leads to compile failure
+
+ # only enable handbook when required
+ if ! use_if_iuse handbook ; then
+ cmake_comment_add_subdirectory ${KDE_DOC_DIR}
+ fi
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_CHROMAPRINT=$(usex acoustid)
+ -DWITH_FLAC=$(usex flac)
+ -DWITH_ID3LIB=$(usex mp3)
+ -DWITH_MP4V2=$(usex mp4)
+ -DWITH_TAGLIB=$(usex taglib)
+ -DWITH_VORBIS=$(usex vorbis)
+ )
+
+ if use kde ; then
+ mycmakeargs+=( "-DWITH_APPS=KDE;CLI" )
+ else
+ mycmakeargs+=( "-DWITH_APPS=Qt;CLI" )
+ fi
+
+ kde5_src_configure
+}